Bug 1032574 - [abrt] xfce4-appfinder-4.10.1-1.fc18: g_type_check_instance_cast: Process /usr/bin/xfce4-appfinder was killed by signal 11 (SIGSEGV)
[abrt] xfce4-appfinder-4.10.1-1.fc18: g_type_check_instance_cast: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-appfinder (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:480efb0c8585c59f3ed54d7185e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 07:21 EST by Bill Thielman
Modified: 2014-02-05 18:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.21 KB, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: cgroup (129 bytes, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: core_backtrace (1.98 KB, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: dso_list (4.11 KB, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: environ (1.38 KB, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: maps (33.13 KB, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: open_fds (482 bytes, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details
File: var_log_messages (545 bytes, text/plain)
2013-11-20 07:21 EST, Bill Thielman
no flags Details

  None (edit)
Description Bill Thielman 2013-11-20 07:21:13 EST
Version-Release number of selected component:
xfce4-appfinder-4.10.1-1.fc18

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        xfce4-appfinder
crash_function: g_type_check_instance_cast
executable:     /usr/bin/xfce4-appfinder
kernel:         3.6.10-4.fc18.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:3997
 #1 xfce_appfinder_window_icon_theme_changed at appfinder-window.c:1452
 #7 ensure_valid_themes at gtkicontheme.c:1217
 #8 choose_icon at gtkicontheme.c:1266
 #9 gtk_icon_theme_lookup_icon at gtkicontheme.c:1445
 #10 gtk_icon_theme_load_icon at gtkicontheme.c:1541
 #11 xfce_appfinder_model_load_pixbuf at appfinder-model.c:1910
 #12 xfce_appfinder_window_init at appfinder-window.c:240
 #13 g_type_create_instance at gtype.c:1890
 #14 g_object_constructor at gobject.c:1854

Potential duplicate: bug 830096
Comment 1 Bill Thielman 2013-11-20 07:21:21 EST
Created attachment 826597 [details]
File: backtrace
Comment 2 Bill Thielman 2013-11-20 07:21:24 EST
Created attachment 826598 [details]
File: cgroup
Comment 3 Bill Thielman 2013-11-20 07:21:29 EST
Created attachment 826599 [details]
File: core_backtrace
Comment 4 Bill Thielman 2013-11-20 07:21:32 EST
Created attachment 826600 [details]
File: dso_list
Comment 5 Bill Thielman 2013-11-20 07:21:34 EST
Created attachment 826601 [details]
File: environ
Comment 6 Bill Thielman 2013-11-20 07:21:37 EST
Created attachment 826602 [details]
File: exploitable
Comment 7 Bill Thielman 2013-11-20 07:21:39 EST
Created attachment 826603 [details]
File: limits
Comment 8 Bill Thielman 2013-11-20 07:21:42 EST
Created attachment 826604 [details]
File: maps
Comment 9 Bill Thielman 2013-11-20 07:21:45 EST
Created attachment 826605 [details]
File: open_fds
Comment 10 Bill Thielman 2013-11-20 07:21:48 EST
Created attachment 826606 [details]
File: proc_pid_status
Comment 11 Bill Thielman 2013-11-20 07:21:50 EST
Created attachment 826607 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-11-20 12:00:45 EST
What were you doing when this happened?

Can you duplicate it?
Comment 13 Fedora End Of Life 2013-12-21 10:38:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 18:15:13 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.